class Phone {
    //设备是否为android
    isAndroid() {
        console.log("成功进入isAndroid这个方法")
        var u = navigator.userAgent;
        if (u.indexOf('Android') > -1 || u.indexOf('Adr') > -1) {
            return true;
        }
        return false;
    }
    // 判断设备为 ios
    isIos() {
        console.log("成功进入isIos这个方法")
        var u = navigator.userAgent;
        if (u.indexOf("iPhone") > -1 || u.indexOf("iOS") > -1) {
            return true;
        }
        return false;
    }
    //获取设备的类型
    getSysType(): string {
        if (this.isAndroid()) {
            return "android"
        }
        if (this.isIos()) {
            return "ios"
        }
        return "web"
    }
    displayRow() {
        if (this.isIos()) {
            try {
                window.webkit.messageHandlers.displayRow.postMessage('displayRow')
            } catch (error) {
                console.log(error)
            }
        } else if (this.isAndroid()) {
            window.android&&window.android.displayRow()
        }
    }

    displayCol(){
        if (this.isIos()) {
            try {
                window.webkit.messageHandlers.displayRow.postMessage('displayCol')
            } catch (error) {
                console.log(error)
            }
        } else if (this.isAndroid()) {
            window.android&&window.android.displayCol()
        }
    }
    backView(){

        if (this.isIos()) {
            try {
                window.webkit.messageHandlers.backView.postMessage('backView')
            } catch (error) {
                console.log(error)
            }
        } else if (this.isAndroid()) {
            window.android&&window.android.backView()
        }

    }



}
export default Phone